- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
pdftron::FDF::FDFField Class Reference

`#include <FDFField.h>`

## Public Member Functions
| FDFField (SDF::Obj field_dict=0, SDF::Obj fdf_dict=0)
| FDFField (const FDFField &p)
FDFField & | operator= (const FDFField &p)
SDF::Obj | GetValue ()
void | SetValue (SDF::Obj value)
UString | GetName ()
UString | GetPartialName ()
SDF::Obj | GetSDFObj () const
SDF::Obj | FindAttribute (const char *attrib) const
| operator bool ()

## Detailed Description

Definition at line 15 of file FDFField.h.

## Constructor & Destructor Documentation

pdftron::FDF::FDFField::FDFField | ( | SDF::Obj | field_dict = `0`,
|  | SDF::Obj | fdf_dict = `0`
| ) |  |

Construct a FDF::FDFField from a SDF dictionary representing a terminal field node.

pdftron::FDF::FDFField::FDFField | ( | const FDFField & | p | ) |

## Member Function Documentation

SDF::Obj pdftron::FDF::FDFField::FindAttribute | ( | const char * | attrib | ) | const

The function returns the specified attribute.

Parameters

  attrib | - name of the attribute to find

Returns
  return the attribute value if the given attribute name was found or a NULL object if the given attribute name was not found.

UString pdftron::FDF::FDFField::GetName | ( |  | ) |

Returns
  a string representing the fully qualified name of the field (e.g. "employee.name.first").

UString pdftron::FDF::FDFField::GetPartialName | ( |  | ) |

Returns
  a string representing the partial name of the field (e.g. "first" when "employee.name.first" is fully qualified name).

SDF::Obj pdftron::FDF::FDFField::GetSDFObj | ( |  | ) | const

Returns
  the object to the underlying SDF/Cos object.

SDF::Obj pdftron::FDF::FDFField::GetValue | ( |  | ) |

Returns
  the value of the Field (the value of its /V key) or NULL if the value is not specified. The format of field's value varies depending on the field type.

pdftron::FDF::FDFField::operator bool | ( |  | ) |
| inline

Returns
  true if the object is not null, false otherwise.

Definition at line 70 of file FDFField.h.

FDFField& pdftron::FDF::FDFField::operator= | ( | const FDFField & | p | ) |

void pdftron::FDF::FDFField::SetValue | ( | SDF::Obj | value | ) |

Sets the value of the FDFField (the value of the field's /V key).

Parameters

  value | - the value to set the FDFField to

Note
  in order to remove/erase the existing value use SetValue(SDF::Null)

The documentation for this class was generated from the following file:

- FDF/FDFField.h